Bug 219379 - net/haproxy 1.7.3 and later have broken kqueue event handling when DNS resolvers are configured
Summary: net/haproxy 1.7.3 and later have broken kqueue event handling when DNS resolv...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-18 14:34 UTC by jimp
Modified: 2018-02-05 12:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (demon)


Attachments
Copy of the dns.c patch that fixes kqueue handling (1.34 KB, text/x-csrc)
2017-05-18 14:34 UTC, jimp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jimp 2017-05-18 14:34:08 UTC
Created attachment 182699 [details]
Copy of the dns.c patch that fixes kqueue handling

HAProxy 1.7.3 introduced changes to DNS that broke kqueue event handling on FreeBSD when DNS resolvers are present in the haproxy configuration.

Thus, anyone running haproxy 1.7.3 and later on FreeBSD (at least 10.3 and 11) with DNS resolvers will see HAProxy completely fail to pass traffic or respond on its management socket.

The HAProxy project has committed a fix which I have tested and found to work, and others will likely benefit from the fix as well. Until they have the fix in a release, it would be great to have this added to the port directly so others do not experience this broken behavior.

I have attached the patch to this PR and it can also be found on their git tree here:

http://git.haproxy.org/?p=haproxy.git;a=commitdiff;h=64920538fc19f3c7f94dfa1e84a9a6569b8c3d37

Additional information can be found in the HAProxy mailing list archive:

https://www.mail-archive.com/haproxy@formilux.org/msg26040.html

Thanks,
Jim P.
Comment 1 commit-hook freebsd_committer 2017-05-18 19:24:33 UTC
A commit references this bug:

Author: demon
Date: Thu May 18 19:22:57 UTC 2017
New revision: 441193
URL: https://svnweb.freebsd.org/changeset/ports/441193

Log:
  Add a patch from upstream to fix haproxy operations when dynamic dns
  resolvers are used.

  PR:		219379
  Submitted by:	jimp@pfsense.org

Changes:
  head/net/haproxy/Makefile
  head/net/haproxy/files/patch-fix-dns
Comment 2 Dmitry Sivachenko freebsd_committer 2017-05-18 19:36:19 UTC
Committed, thanks!
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-02-03 01:49:15 UTC
Forgotten to close?
Comment 4 Dmitry Sivachenko freebsd_committer 2018-02-05 12:42:19 UTC
yes...